#ifdef GL_ES
precision highp float;
#endif

uniform mat4	uProjection;
uniform mat4	uModelView;
attribute vec4	aPosition;
#ifdef TEXCOORDENABLE
attribute vec2	aTexCoord;
#endif
#ifdef COLORARRAYENABLE
attribute vec4	aColorArray;
#else
uniform vec4	uColor;
#endif
varying vec2	vTexCoord;
varying vec4	vBaseColor;

void main() {
	gl_Position = uProjection * uModelView * aPosition;

#ifdef TEXCOORDENABLE
	vTexCoord = aTexCoord;
#endif

#ifdef COLORARRAYENABLE
	vBaseColor = aColorArray;
#else
	vBaseColor = uColor;
#endif
}
